Skip to main content
GET
/
roles
List roles
curl --request GET \
  --url https://api.equalsmoney.com/v2/roles \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.equalsmoney.com/v2/roles"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.equalsmoney.com/v2/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "search": "Cesar+Treutel",
  "rows": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "Viewer",
      "accountId": "F50091",
      "type": "core",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string

NOT USED YET

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required
limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100

The term to search the records for.

Maximum string length: 100
Example:

"Cesar+Treutel"